<div id="body" class="container-fluid">
  <div class="col">
    <h6>Initiating Cancels</h6>
    <br/>
    <form #form="ngForm" name="form">
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-12">
              <label class="col-form-label col-24 col-lg-4">M5 #: </label>
              <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                <input id="name" name="name" class="form-control form-control-sm" type="text"
                        minlength="0"
                        appForbiddenName="-"
                        [(ngModel)]="form.name" #name="ngModel" (blur)="signalSelected(form.name.value)">
              </div>
            </div>
          </div>
          <div class="form-row">
            <div class="form-group form-group-sm row col-24 col-lg-12">
              <label class="col-form-label col-24 col-lg-4">H6: </label>
              <div class="col-24 col-lg-20 pl-0 pl-lg-3">
                <input id="h5" name="h5" class="form-control form-control-sm" type="text"
                        minlength="0" maxlength="9" appForbiddenName="-"
                        [(ngModel)]="form.h5" #h5="ngModel" (blur)="signalSelectedH5(form.h5.value)">
              </div>
            </div>
          </div>
  
          <div class="form-row text-center mt-1">
            <div class="form-group form-group-sm col-12 col-lg-12">
              <button class="btn btn-sm btn-primary" type="button"
                      (click)="onSubmitSearch()" [disabled]="form.invalid">
                Search
              </button>
            </div>
          </div>
  
          <div class="container">
            <div class="row">
              <div class="col-24 col-sm-24">
                <div *ngIf="displayNotfound">
                  <label>{{validationMessage}}</label>
                </div>
              </div>
            </div>
          </div>
  
          <div class="container">
            <div class="row">
              <div class="col-24 col-sm-24">
                <div *ngIf="selectedItems">
                  <h6>Order for Cancel</h6>
  
                  <dx-data-grid #grid id="grid" [dataSource]="items" [showBorders]="true" [wordWrapEnabled]="true"
                                [rowAlternationEnabled]="true" [columnAutoWidth]="true"
                                (onContentReady)="grid.instance.searchByText(grid.searchPanel.text.trim())"
                                (onSelectionChanged)="selectionChangedHandler($event)">
                    <dxo-sorting mode="multiple"></dxo-sorting>
                    <dxo-paging [pageSize]="50"></dxo-paging>
                    <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
                    <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
                    <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
                    <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
                    <dxo-editing
                      [allowUpdating]="true"
                      mode="row"> 
                    </dxo-editing>
                    <dxi-column [allowEditing]="false" dataField="ftn" caption="M5 #"></dxi-column>
                    <dxi-column [allowEditing]="false" dataField="ordrType" caption="Order Type"></dxi-column>
                    <dxi-column [allowEditing]="false" dataField="productType" caption="Product Type"></dxi-column>
                    <dxi-column [allowEditing]="false" dataField="h5_h6" caption="H6"></dxi-column>
                    <dxi-column [allowEditing]="false" dataField="custName" caption="Customer Name"></dxi-column>
                    <dxi-column [allowEditing]="false" dataField="ccd" cellTemplate="localStartTime" caption="CCD" [minWidth]="150"></dxi-column>
                    <dxi-column dataField="notes" caption="Notes"></dxi-column>
                    <div *dxTemplate="let cell of 'localStartTime'">
                      <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
                    </div>
                  </dx-data-grid>
                  <dx-button id="gridCancelSelected"
                              text="Cancel Selected Ftn"
                              [height]="34"
                              [width]="195"
                              [disabled]="!selectedItemKeys.length"
                              (onClick)="onSubmit($event)">
                  </dx-button>
                </div>
                <div *ngIf="displaySuccessMessage">
                  <label>Successfully Cancelled <b>{{ftn}}</b></label>
                </div>
                <div *ngIf="displayErrorMessage">
                  <label>Cancel was not Successful for <b>{{ftn}}</b></label>
                </div>
              </div>
            </div>
          </div>
    </form>
  </div>
</div>


